Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 680996 - sys-apps/kmod - consider default enabling USE=lzma
Summary: sys-apps/kmod - consider default enabling USE=lzma
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: udev maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-20 09:17 UTC by Mart Raudsepp
Modified: 2020-09-03 14:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2019-03-20 09:17:37 UTC
Most people have xz-utils installed anyways, thus please consider IUSE default enabling lzma on sys-apps/kmod to reduce people hitting issues from forgetting to do so themselves after enabling modules XZ compression in kernel config (which probably doesn't tell anything about extra support necessary from the system in its Kconfig help) or re-using some kernel config file that does that.
Comment 1 Larry the Git Cow gentoo-dev 2020-09-03 14:16:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=905da57efbf9a8353ee1a79b96fa3a7b072e59a7

commit 905da57efbf9a8353ee1a79b96fa3a7b072e59a7
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-09-02 23:22:15 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-09-03 14:16:41 +0000

    sys-apps/kmod: enable support for compressed modules by default
    
    Closes: https://bugs.gentoo.org/680996
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 sys-apps/kmod/kmod-27-r2.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)